# 9. Mutasjon: Generer «ZonesMap» asynkront

Generer "ZonesMap" for "Field" **asynkront**.

{% hint style="info" %}
Den asynkrone tilnærmingen legger en oppgave (Generer `generateVectorAnalysisMap`) for å prosessere og abonnementet vil bli mottatt så snart prosesseringen er ferdig.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutasjon GenerateZonesMapAsync {
  generateVectorAnalysisMapAsync(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<placeholder_of_satelliteimage_uuid_2>",
      "<placeholder_of_satelliteimage_uuid_3>"
    ]
    indeks: NDVI
    antallSoner :7
    navn: "3 Years 2017-2019 (API)"
  }) {    
    uuid 
    fieldUuid
    statusKode  
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-foresporsler-oversikt/9.-mutasjon-generer-zonesmap-asynkront.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
